ApiCluster (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiCluster

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiCluster

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiCluster
      extends Object

  A cluster represents a set of interdependent services running on a set of hosts. All services on a given cluster are of the same software version (e.g. CDH4 or CDH5).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiCluster()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCluster` | `addDataContextRefsItem(ApiDataContextRef dataContextRefsItem)`
    `ApiCluster` | `addMaintenanceOwnersItem(ApiEntityType maintenanceOwnersItem)`
    `ApiCluster` | `addParcelsItem(ApiParcel parcelsItem)`
    `ApiCluster` | `addServicesItem(ApiService servicesItem)`
    `ApiCluster` | `addTagsItem(ApiEntityTag tagsItem)`
    `ApiCluster` | `clusterType(String clusterType)`
    `ApiCluster` | `clusterUrl(String clusterUrl)`
    `ApiCluster` | `dataContextRefs(List<ApiDataContextRef> dataContextRefs)`
    `ApiCluster` | `displayName(String displayName)`
    `ApiCluster` | `entityStatus(ApiEntityStatus entityStatus)`
    `boolean` | `equals(Object o)`
    `ApiCluster` | `fullVersion(String fullVersion)`
    `String` | `getClusterType()` The type of cluster.
    `String` | `getClusterUrl()` Readonly.
    `List<ApiDataContextRef>` | `getDataContextRefs()`
    `String` | `getDisplayName()` The display name of the cluster that is shown in the UI.
    `ApiEntityStatus` | `getEntityStatus()` Readonly.
    `String` | `getFullVersion()` The full CDH version of the cluster.
    `String` | `getHostsUrl()` Readonly.
    `Boolean` | `getMaintenanceMode()` Readonly.
    `List<ApiEntityType>` | `getMaintenanceOwners()` Readonly.
    `String` | `getName()` The name of the cluster.
    `List<ApiParcel>` | `getParcels()` Optional.
    `List<ApiService>` | `getServices()` Optional.
    `List<ApiEntityTag>` | `getTags()` Tags associated with the cluster.
    `String` | `getUuid()` Readonly.
    `ApiClusterVersion` | `getVersion()` The CDH version of the cluster.
    `int` | `hashCode()`
    `ApiCluster` | `hostsUrl(String hostsUrl)`
    `ApiCluster` | `maintenanceMode(Boolean maintenanceMode)`
    `ApiCluster` | `maintenanceOwners(List<ApiEntityType> maintenanceOwners)`
    `ApiCluster` | `name(String name)`
    `ApiCluster` | `parcels(List<ApiParcel> parcels)`
    `ApiCluster` | `services(List<ApiService> services)`
    `void` | `setClusterType(String clusterType)`
    `void` | `setClusterUrl(String clusterUrl)`
    `void` | `setDataContextRefs(List<ApiDataContextRef> dataContextRefs)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setEntityStatus(ApiEntityStatus entityStatus)`
    `void` | `setFullVersion(String fullVersion)`
    `void` | `setHostsUrl(String hostsUrl)`
    `void` | `setMaintenanceMode(Boolean maintenanceMode)`
    `void` | `setMaintenanceOwners(List<ApiEntityType> maintenanceOwners)`
    `void` | `setName(String name)`
    `void` | `setParcels(List<ApiParcel> parcels)`
    `void` | `setServices(List<ApiService> services)`
    `void` | `setTags(List<ApiEntityTag> tags)`
    `void` | `setUuid(String uuid)`
    `void` | `setVersion(ApiClusterVersion version)`
    `ApiCluster` | `tags(List<ApiEntityTag> tags)`
    `String` | `toString()`
    `ApiCluster` | `uuid(String uuid)`
    `ApiCluster` | `version(ApiClusterVersion version)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiCluster

          public ApiCluster()

  - ### Method Detail

    - #### name

          public ApiCluster name(String name)

    - #### getName

          public String getName()

      The name of the cluster. <p> Immutable since API v6. <p> Prior to API v6, will contain the display name of the cluster.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### displayName

          public ApiCluster displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      The display name of the cluster that is shown in the UI. <p> Available since API v6.
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### version

          public ApiCluster version(ApiClusterVersion version)

    - #### getVersion

          public ApiClusterVersion getVersion()

      The CDH version of the cluster.
      Returns:
        version

    - #### setVersion

          public void setVersion(ApiClusterVersion version)

    - #### fullVersion

          public ApiCluster fullVersion(String fullVersion)

    - #### getFullVersion

          public String getFullVersion()

      The full CDH version of the cluster. The expected format is three dot separated version numbers, e.g. \"4.2.1\" or \"5.0.0\". The full version takes precedence over the version field during cluster creation. <p> Available since API v6.
      Returns:
        fullVersion

    - #### setFullVersion

          public void setFullVersion(String fullVersion)

    - #### maintenanceMode

          public ApiCluster maintenanceMode(Boolean maintenanceMode)

    - #### getMaintenanceMode

          public Boolean getMaintenanceMode()

      Readonly. Whether the cluster is in maintenance mode. Available since API v2.
      Returns:
        maintenanceMode

    - #### setMaintenanceMode

          public void setMaintenanceMode(Boolean maintenanceMode)

    - #### maintenanceOwners

          public ApiCluster maintenanceOwners(List<ApiEntityType> maintenanceOwners)

    - #### addMaintenanceOwnersItem

          public ApiCluster addMaintenanceOwnersItem(ApiEntityType maintenanceOwnersItem)

    - #### getMaintenanceOwners

          public List<ApiEntityType> getMaintenanceOwners()

      Readonly. The list of objects that trigger this cluster to be in maintenance mode. Available since API v2.
      Returns:
        maintenanceOwners

    - #### setMaintenanceOwners

          public void setMaintenanceOwners(List<ApiEntityType> maintenanceOwners)

    - #### services

          public ApiCluster services(List<ApiService> services)

    - #### addServicesItem

          public ApiCluster addServicesItem(ApiService servicesItem)

    - #### getServices

          public List<ApiService> getServices()

      Optional. Used during import/export of settings.
      Returns:
        services

    - #### setServices

          public void setServices(List<ApiService> services)

    - #### parcels

          public ApiCluster parcels(List<ApiParcel> parcels)

    - #### addParcelsItem

          public ApiCluster addParcelsItem(ApiParcel parcelsItem)

    - #### getParcels

          public List<ApiParcel> getParcels()

      Optional. Used during import/export of settings. Available since API v4.
      Returns:
        parcels

    - #### setParcels

          public void setParcels(List<ApiParcel> parcels)

    - #### clusterUrl

          public ApiCluster clusterUrl(String clusterUrl)

    - #### getClusterUrl

          public String getClusterUrl()

      Readonly. Link into the Cloudera Manager web UI for this specific cluster. <p> Available since API v10.
      Returns:
        clusterUrl

    - #### setClusterUrl

          public void setClusterUrl(String clusterUrl)

    - #### hostsUrl

          public ApiCluster hostsUrl(String hostsUrl)

    - #### getHostsUrl

          public String getHostsUrl()

      Readonly. Link into the Cloudera Manager web UI for host table for this cluster. <p> Available since API v11.
      Returns:
        hostsUrl

    - #### setHostsUrl

          public void setHostsUrl(String hostsUrl)

    - #### entityStatus

          public ApiCluster entityStatus(ApiEntityStatus entityStatus)

    - #### getEntityStatus

          public ApiEntityStatus getEntityStatus()

      Readonly. The entity status for this cluster. Available since API v11.
      Returns:
        entityStatus

    - #### setEntityStatus

          public void setEntityStatus(ApiEntityStatus entityStatus)

    - #### uuid

          public ApiCluster uuid(String uuid)

    - #### getUuid

          public String getUuid()

      Readonly. The UUID of the cluster. <p> Available since API v15.
      Returns:
        uuid

    - #### setUuid

          public void setUuid(String uuid)

    - #### dataContextRefs

          public ApiCluster dataContextRefs(List<ApiDataContextRef> dataContextRefs)

    - #### addDataContextRefsItem

          public ApiCluster addDataContextRefsItem(ApiDataContextRef dataContextRefsItem)

    - #### getDataContextRefs

          public List<ApiDataContextRef> getDataContextRefs()

      Returns:
        dataContextRefs

    - #### setDataContextRefs

          public void setDataContextRefs(List<ApiDataContextRef> dataContextRefs)

    - #### clusterType

          public ApiCluster clusterType(String clusterType)

    - #### getClusterType

          public String getClusterType()

      The type of cluster. If unspecified, defaults to either BASE_CLUSTER (if no data contexts are provided) or COMPUTE_CLUSTER (if one or more data contexts are provided). Available since APIv32.
      Returns:
        clusterType

    - #### setClusterType

          public void setClusterType(String clusterType)

    - #### tags

          public ApiCluster tags(List<ApiEntityTag> tags)

    - #### addTagsItem

          public ApiCluster addTagsItem(ApiEntityTag tagsItem)

    - #### getTags

          public List<ApiEntityTag> getTags()

      Tags associated with the cluster. Available since V41.
      Returns:
        tags

    - #### setTags

          public void setTags(List<ApiEntityTag> tags)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.